Subject: bug#11873: Another important bug

From: Paul Eggert <[email-masked]>
Date: Tue, 14 Aug 2012 00:57:27 -0700

On 08/13/2012 10:14 PM, Chong Yidong wrote:
> Hi Paul,
> 
> Could you take a look at the emacs/gnulib bug at
> 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11873
> 
> And review the patch indicated there?

That patch also looks OK.

One other thought is to merge all the gnulib patches
into 24.2.  This would be approximately a 5000-line
change.  It would fix the bug in question, along with
several other portability problems.  It would be a trivial
patch to generate, but would take some time to review
if people wanted to review it manually and/or cherry
pick some of the patches (I don't want to spend that time).
It'd be about a 5000-line patch.  These patches are
tested in other software distributions (they're in
the latest coreutils) so they're tested, albeit not
tested when integrated with Emacs 24.  The last time I
proposed this sort of thing, you or Stefan (I forget who)
decided not to do it, which is understandable, though I've
also gotten email from others wondering why those porting
fixes didn't get merged in....